#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Fenrir TTY screen reader
# By Chrys, Storm Dragon, and contributers.


from fenrirscreenreader.core.i18n import _


class command():
    def __init__(self):
        pass

    def initialize(self, environment):
        self.env = environment
        self.macro = [
            [
                1, 'KEY_LEFTSHIFT'], [
                1, 'KEY_LEFTCTRL'], [
                1, 'KEY_N'], [
                    0.05, 'SLEEP'], [
                        0, 'KEY_N'], [
                            0, 'KEY_LEFTCTRL'], [
                                0, 'KEY_LEFTSHIFT']]

    def shutdown(self):
        pass

    def get_description(self):
        return 'No description found'

    def run(self):
        self.env['runtime']['InputManager'].send_keys(self.macro)

    def set_callback(self, callback):
        pass
