#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Fenrir TTY screen reader
# By Chrys, Storm Dragon, and contributers.

from fenrirscreenreader.core import debug

general_data = {
    'args': None,
    'tutorialMode': False,
    'curr_user': '',
    'prev_user': '',
    'managerList': [
        'AttributeManager',
        'PunctuationManager',
        'ByteManager',
        'CursorManager',
        'ApplicationManager',
        'CommandManager',
        'ScreenManager',
        'InputManager',
        'OutputManager',
        'HelpManager',
        'MemoryManager',
        'EventManager',
        'ProcessManager',
        'VmenuManager',
        'QuickMenuManager',
        'RemoteManager',
        'SettingsManager',
        'SayAllManager',
        'TableManager',
        'TextManager',
        'BarrierManager',
        'DebugManager'],
    'commandFolderList': [
        'commands',
        'onKeyInput',
        'onByteInput',
        'onCursorChange',
        'onScreenUpdate',
        'onScreenChanged',
        'onHeartBeat',
        'onPlugInputDevice',
        'onApplicationChange',
        'onSwitchApplicationProfile',
        'help',
        'vmenu-navigation',
    ],
}
