#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Fenrir TTY screen reader
# By Chrys, Storm Dragon, and contributers.

import time
from fenrirscreenreader.core import debug
from fenrirscreenreader.core.inputDriver import InputDriver as inputDriver


class driver(inputDriver):
    def __init__(self):
        self._is_initialized = False
        inputDriver.__init__(self)

    def initialize(self, environment):
        self.env = environment
        self.env['runtime']['InputManager'].set_shortcut_type('BYTE')
        self._is_initialized = True
